{
  "name": "@nice/tus",
  "version": "1.0.0",
  "main": "./dist/index.js",
  "module": "./dist/index.mjs",
  "types": "./dist/index.d.ts",
  "private": true,
  "scripts": {
    "build": "tsup --no-watch",
    "dev": "tsup --watch",
    "clean": "rimraf dist",
    "typecheck": "tsc --noEmit"
  },
  "dependencies": {
    "@aws-sdk/client-s3": "^3.723.0",
    "@shopify/semaphore": "^3.1.0",
    "debug": "^4.4.0",
    "lodash.throttle": "^4.1.1",
    "multistream": "^4.1.0"
  },
  "devDependencies": {
    "@types/debug": "^4.1.12",
    "@types/lodash.throttle": "^4.1.9",
    "@types/multistream": "^4.1.3",
    "@types/node": "^20.3.1",
    "concurrently": "^8.0.0",
    "ioredis": "^5.4.1",
    "rimraf": "^6.0.1",
    "should": "^13.2.3",
    "ts-node": "^10.9.1",
    "tsup": "^8.3.5",
    "typescript": "^5.5.4",
    "@redis/client": "^1.6.0"
  }
}